Subject: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Carlos Pita <[email-masked]>
Date: Sun, 1 Jul 2018 14:35:56 -0300

It could be a matter of timing since sometimes (ii->iii) indeed
restores the decorations, but most of the time it doesn't.

Also I realized that the above is more simple and reliable to
reproduce by just pressing Alt-F10 twice (toggle maximized on/off),
when restoring the normal window size it doesn't get its decorations
again. I would say that this also is a timing issue, because xprop
correctly shows that the x11 window is not maximized but emacs thinks
otherwise, probably because an emacs window was resized before the x11
window properties were set by the wm.